Make WordPress Core

Opened 3 years ago

Closed 2 years ago

#54559 closed defect (bug) (maybelater)

Site Health & Centos 8

Reported by: sterndata's profile sterndata Owned by:
Milestone: Priority: normal
Severity: normal Version:
Component: Site Health Keywords:
Focuses: Cc:

Description

A WP user writes in https://wordpress.org/support/topic/the-optional-module-imagick-is-not-installed-or-has-been-disabled-3/

"In centos8, imagick is replaced by gmagick, i am running the wordpress on a private vps server, and installed and enabled gmagick successfully on the server, i can check “php -m|grep gmagick” and it just shows fine.

but
the warning in the wordpress still ON, “The optional module, imagick, is not installed, or has been disabled”

Change History (1)

#1 @Clorith
2 years ago

  • Milestone Awaiting Review deleted
  • Resolution set to maybelater
  • Status changed from new to closed

WordPress uses imagick, so any distro-specific replacements would not be detected, as such the warning is still valid.

Until such a time that WordPress may add gmagick as an image processor, the Site Health module will keep it's current recommendations in this area, and follow what the media team supports directly (should any plugin add support for GraphicsMagick then they should probably also modify the Site Health filters accordingly :) ).

As such, I am marking this as maybelater for now, in accordance with #23331 (the ticket about possibly adding support to WP for gmagick).

Note: See TracTickets for help on using tickets.